# -*- coding: utf-8 -*-
DESC = "tmt-2018-03-21"
INFO = {
  "TextTranslate": {
    "params": [
      {
        "name": "SourceText",
        "desc": "待翻译的文本，文本统一使用utf-8格式编码，非utf-8格式编码字符会翻译失败，请传入有效文本，html标记等非常规翻译文本可能会翻译失败。单次请求的文本长度需要低于2000。"
      },
      {
        "name": "Source",
        "desc": "源语言，支持：\nauto：自动识别（识别为一种语言）\nzh：简体中文\nzh-TW：繁体中文\nen：英语\nja：日语\nko：韩语\nfr：法语\nes：西班牙语\nit：意大利语\nde：德语\ntr：土耳其语\nru：俄语\npt：葡萄牙语\nvi：越南语\nid：印尼语\nth：泰语\nms：马来西亚语\nar：阿拉伯语\nhi：印地语"
      },
      {
        "name": "Target",
        "desc": "目标语言，各源语言的目标语言支持列表如下\n\n<li> zh（简体中文）：en（英语）、ja（日语）、ko（韩语）、fr（法语）、es（西班牙语）、it（意大利语）、de（德语）、tr（土耳其语）、ru（俄语）、pt（葡萄牙语）、vi（越南语）、id（印尼语）、th（泰语）、ms（马来语）</li>\n<li>zh-TW（繁体中文）：en（英语）、ja（日语）、ko（韩语）、fr（法语）、es（西班牙语）、it（意大利语）、de（德语）、tr（土耳其语）、ru（俄语）、pt（葡萄牙语）、vi（越南语）、id（印尼语）、th（泰语）、ms（马来语）</li>\n<li>en（英语）：zh（中文）、ja（日语）、ko（韩语）、fr（法语）、es（西班牙语）、it（意大利语）、de（德语）、tr（土耳其语）、ru（俄语）、pt（葡萄牙语）、vi（越南语）、id（印尼语）、th（泰语）、ms（马来语）、ar（阿拉伯语）、hi（印地语）</li>\n<li>ja（日语）：zh（中文）、en（英语）、ko（韩语）</li>\n<li>ko（韩语）：zh（中文）、en（英语）、ja（日语）</li>\n<li>fr（法语）：zh（中文）、en（英语）、es（西班牙语）、it（意大利语）、de（德语）、tr（土耳其语）、ru（俄语）、pt（葡萄牙语）</li>\n<li>es（西班牙语）：zh（中文）、en（英语）、fr（法语）、it（意大利语）、de（德语）、tr（土耳其语）、ru（俄语）、pt（葡萄牙语）</li>\n<li>it（意大利语）：zh（中文）、en（英语）、fr（法语）、es（西班牙语）、de（德语）、tr（土耳其语）、ru（俄语）、pt（葡萄牙语）</li>\n<li>de（德语）：zh（中文）、en（英语）、fr（法语）、es（西班牙语）、it（意大利语）、tr（土耳其语）、ru（俄语）、pt（葡萄牙语）</li>\n<li>tr（土耳其语）：zh（中文）、en（英语）、fr（法语）、es（西班牙语）、it（意大利语）、de（德语）、ru（俄语）、pt（葡萄牙语）</li>\n<li>ru（俄语）：zh（中文）、en（英语）、fr（法语）、es（西班牙语）、it（意大利语）、de（德语）、tr（土耳其语）、pt（葡萄牙语）</li>\n<li>pt（葡萄牙语）：zh（中文）、en（英语）、fr（法语）、es（西班牙语）、it（意大利语）、de（德语）、tr（土耳其语）、ru（俄语）</li>\n<li>vi（越南语）：zh（中文）、en（英语）</li>\n<li>id（印尼语）：zh（中文）、en（英语）</li>\n<li>th（泰语）：zh（中文）、en（英语）</li>\n<li>ms（马来语）：zh（中文）、en（英语）</li>\n<li>ar（阿拉伯语）：en（英语）</li>\n<li>hi（印地语）：en（英语）</li>"
      },
      {
        "name": "ProjectId",
        "desc": "项目ID，可以根据控制台-账号中心-项目管理中的配置填写，如无配置请填写默认项目ID:0"
      },
      {
        "name": "UntranslatedText",
        "desc": "用来标记不希望被翻译的文本内容，如句子中的特殊符号、人名、地名等；每次请求只支持配置一个不被翻译的单词；仅支持配置人名、地名等名词，不要配置动词或短语，否则会影响翻译结果。"
      }
    ],
    "desc": "提供中文到英文、英文到中文的等多种语言的文本内容翻译服务， 经过大数据语料库、多种解码算法、翻译引擎深度优化，在新闻文章、生活口语等不同语言场景中都有深厚积累，翻译结果专业评价处于行业领先水平。<br />\n提示：对于一般开发者，我们建议优先使用SDK接入简化开发。SDK使用介绍请直接查看 5. 开发者资源 部分。\n"
  },
  "ImageTranslate": {
    "params": [
      {
        "name": "SessionUuid",
        "desc": "唯一id，返回时原样返回"
      },
      {
        "name": "Scene",
        "desc": "doc:文档扫描"
      },
      {
        "name": "Data",
        "desc": "图片数据的Base64字符串，图片大小上限为4M，建议对源图片进行一定程度压缩"
      },
      {
        "name": "Source",
        "desc": "源语言，支持语言列表：<li> auto：自动识别（识别为一种语言）</li> <li>zh：简体中文</li> <li>zh-TW：繁体中文</li> <li>en：英语</li> <li>ja：日语</li> <li>ko：韩语</li> <li>ru：俄语</li> <li>fr：法语</li> <li>de：德语</li> <li>it：意大利语</li> <li>es：西班牙语</li> <li>pt：葡萄牙语</li> <li>ms：马来西亚语</li> <li>th：泰语</li><li>vi：越南语</li>"
      },
      {
        "name": "Target",
        "desc": "目标语言，各源语言的目标语言支持列表如下：\n<li>zh（简体中文）：en（英语）、ja（日语）、ko（韩语）、ru（俄语）、fr（法语）、de（德语）、it（意大利语）、es（西班牙语）、pt（葡萄牙语）、ms（马来语）、th（泰语）、vi（越南语）</li>\n<li>zh-TW（繁体中文）：en（英语）、ja（日语）、ko（韩语）、ru（俄语）、fr（法语）、de（德语）、it（意大利语）、es（西班牙语）、pt（葡萄牙语）、ms（马来语）、th（泰语）、vi（越南语）</li>\n<li>en（英语）：zh（中文）、ja（日语）、ko（韩语）、ru（俄语）、fr（法语）、de（德语）、it（意大利语）、es（西班牙语）、pt（葡萄牙语）、ms（马来语）、th（泰语）、vi（越南语）</li>\n<li>ja（日语）：zh（中文）、en（英语）、ko（韩语）</li>\n<li>ko（韩语）：zh（中文）、en（英语）、ja（日语）</li>\n<li>ru：俄语：zh（中文）、en（英语）</li>\n<li>fr：法语：zh（中文）、en（英语）</li>\n<li>de：德语：zh（中文）、en（英语）</li>\n<li>it：意大利语：zh（中文）、en（英语）</li>\n<li>es：西班牙语：zh（中文）、en（英语）</li>\n<li>pt：葡萄牙语：zh（中文）、en（英语）</li>\n<li>ms：马来西亚语：zh（中文）、en（英语）</li>\n<li>th：泰语：zh（中文）、en（英语）</li>\n<li>vi：越南语：zh（中文）、en（英语）</li>"
      },
      {
        "name": "ProjectId",
        "desc": "项目ID，可以根据控制台-账号中心-项目管理中的配置填写，如无配置请填写默认项目ID:0"
      }
    ],
    "desc": "提供13种语言的图片翻译服务，可自动识别图片中的文本内容并翻译成目标语言，识别后的文本按行翻译，后续会提供可按段落翻译的版本。<br />\n提示：对于一般开发者，我们建议优先使用SDK接入简化开发。SDK使用介绍请直接查看 5. 开发者资源 部分。"
  },
  "LanguageDetect": {
    "params": [
      {
        "name": "Text",
        "desc": "待识别的文本，文本统一使用utf-8格式编码，非utf-8格式编码字符会翻译失败。单次请求的文本长度需要低于2000。"
      },
      {
        "name": "ProjectId",
        "desc": "项目ID，可以根据控制台-账号中心-项目管理中的配置填写，如无配置请填写默认项目ID:0"
      }
    ],
    "desc": "可自动识别文本内容的语言种类，轻量高效，无需额外实现判断方式，使面向客户的服务体验更佳。 <br />\n提示：对于一般开发者，我们建议优先使用SDK接入简化开发。SDK使用介绍请直接查看 5. 开发者资源 部分。"
  },
  "SpeechTranslate": {
    "params": [
      {
        "name": "SessionUuid",
        "desc": "一段完整的语音对应一个SessionUuid"
      },
      {
        "name": "Source",
        "desc": "音频中的语言类型，支持语言列表<li> zh : 中文 </li> <li> en : 英文 </li>"
      },
      {
        "name": "Target",
        "desc": "翻译目标语言类型，支持的语言列表<li> zh : 中文 </li> <li> en : 英文 </li>"
      },
      {
        "name": "AudioFormat",
        "desc": "pcm : 146   speex : 16779154   mp3 : 83886080"
      },
      {
        "name": "Seq",
        "desc": "语音分片的序号，从0开始"
      },
      {
        "name": "IsEnd",
        "desc": "是否最后一片语音分片，0-否，1-是"
      },
      {
        "name": "Data",
        "desc": "语音分片内容进行 Base64 编码后的字符串。音频内容需包含有效并可识别的文本信息。"
      },
      {
        "name": "ProjectId",
        "desc": "项目ID，可以根据控制台-账号中心-项目管理中的配置填写，如无配置请填写默认项目ID:0"
      },
      {
        "name": "Mode",
        "desc": "识别模式，该参数已废弃"
      },
      {
        "name": "TransType",
        "desc": "该参数已废弃"
      }
    ],
    "desc": "本接口提供上传音频，将音频进行语音识别并翻译成文本的服务，目前开放中英互译的语音翻译服务。\n待识别和翻译的音频文件可以是 pcm、mp3和speex 格式，pcm采样率要求16kHz、位深16bit、单声道，音频内语音清晰。<br/>\n如果采用流式传输的方式，要求每个分片时长200ms~500ms；如果采用非流式的传输方式，要求音频时长不超过8s。注意最后一个分片的IsEnd参数设置为1。<br />\n提示：对于一般开发者，我们建议优先使用SDK接入简化开发。SDK使用介绍请直接查看 5. 开发者资源部分。\n"
  },
  "TextTranslateBatch": {
    "params": [
      {
        "name": "Source",
        "desc": "源语言，支持： \nauto：自动识别（识别为一种语言）\nzh：简体中文\nzh-TW：繁体中文\nen：英语\nja：日语\nko：韩语\nfr：法语\nes：西班牙语\nit：意大利语\nde：德语\ntr：土耳其语\nru：俄语\npt：葡萄牙语\nvi：越南语\nid：印尼语\nth：泰语\nms：马来西亚语\nar：阿拉伯语\nhi：印地语"
      },
      {
        "name": "Target",
        "desc": "目标语言，各源语言的目标语言支持列表如下\n\n<li> zh（简体中文）：en（英语）、ja（日语）、ko（韩语）、fr（法语）、es（西班牙语）、it（意大利语）、de（德语）、tr（土耳其语）、ru（俄语）、pt（葡萄牙语）、vi（越南语）、id（印尼语）、th（泰语）、ms（马来语）</li>\n<li>zh-TW（繁体中文）：en（英语）、ja（日语）、ko（韩语）、fr（法语）、es（西班牙语）、it（意大利语）、de（德语）、tr（土耳其语）、ru（俄语）、pt（葡萄牙语）、vi（越南语）、id（印尼语）、th（泰语）、ms（马来语）</li>\n<li>en（英语）：zh（中文）、ja（日语）、ko（韩语）、fr（法语）、es（西班牙语）、it（意大利语）、de（德语）、tr（土耳其语）、ru（俄语）、pt（葡萄牙语）、vi（越南语）、id（印尼语）、th（泰语）、ms（马来语）、ar（阿拉伯语）、hi（印地语）</li>\n<li>ja（日语）：zh（中文）、en（英语）、ko（韩语）</li>\n<li>ko（韩语）：zh（中文）、en（英语）、ja（日语）</li>\n<li>fr（法语）：zh（中文）、en（英语）、es（西班牙语）、it（意大利语）、de（德语）、tr（土耳其语）、ru（俄语）、pt（葡萄牙语）</li>\n<li>es（西班牙语）：zh（中文）、en（英语）、fr（法语）、it（意大利语）、de（德语）、tr（土耳其语）、ru（俄语）、pt（葡萄牙语）</li>\n<li>it（意大利语）：zh（中文）、en（英语）、fr（法语）、es（西班牙语）、de（德语）、tr（土耳其语）、ru（俄语）、pt（葡萄牙语）</li>\n<li>de（德语）：zh（中文）、en（英语）、fr（法语）、es（西班牙语）、it（意大利语）、tr（土耳其语）、ru（俄语）、pt（葡萄牙语）</li>\n<li>tr（土耳其语）：zh（中文）、en（英语）、fr（法语）、es（西班牙语）、it（意大利语）、de（德语）、ru（俄语）、pt（葡萄牙语）</li>\n<li>ru（俄语）：zh（中文）、en（英语）、fr（法语）、es（西班牙语）、it（意大利语）、de（德语）、tr（土耳其语）、pt（葡萄牙语）</li>\n<li>pt（葡萄牙语）：zh（中文）、en（英语）、fr（法语）、es（西班牙语）、it（意大利语）、de（德语）、tr（土耳其语）、ru（俄语）</li>\n<li>vi（越南语）：zh（中文）、en（英语）</li>\n<li>id（印尼语）：zh（中文）、en（英语）</li>\n<li>th（泰语）：zh（中文）、en（英语）</li>\n<li>ms（马来语）：zh（中文）、en（英语）</li>\n<li>ar（阿拉伯语）：en（英语）</li>\n<li>hi（印地语）：en（英语）</li>"
      },
      {
        "name": "ProjectId",
        "desc": "项目ID，可以根据控制台-账号中心-项目管理中的配置填写，如无配置请填写默认项目ID:0"
      },
      {
        "name": "SourceTextList",
        "desc": "待翻译的文本列表，批量接口可以以数组方式在一次请求中填写多个待翻译文本。文本统一使用utf-8格式编码，非utf-8格式编码字符会翻译失败，请传入有效文本，html标记等非常规翻译文本可能会翻译失败。单次请求的文本长度总和需要低于2000。"
      }
    ],
    "desc": "文本翻译的批量接口"
  }
}